CollectionsHosted PaymentsPayments

Get a Hosted Payment

GET
/v1/hosted-payments/{id}

Authorization

authorization
AuthorizationBearer <token>

Set Your Secret API Key

In: header

Path Parameters

id*string

Response Body

*/*

application/json

curl -X GET "https://example.com/v1/hosted-payments/string"

transactionReference carries the bank reference for the credit.

{
  "id": "hpymt_0J7Q9A2M8V5X1",
  "status": "SUCCEEDED",
  "resultCode": null,
  "underlyingErrorCode": null,
  "underlyingErrorMessage": null,
  "transactionReference": "20260909DBSSSGSGBRT7728204",
  "amount": 4242,
  "currency": "SGD",
  "channel": "WEB_BROWSER_DESKTOP",
  "method": "PAYNOW",
  "returnUrl": "https://example.com/return",
  "redirectUrl": "https://api.tryacme.com/redirection/hosted-payments/hpymt_0J7Q9A2M8V5X1/submit",
  "referenceId": "ORDER-10042",
  "tokenization": false,
  "hostedPaymentMethodId": null,
  "customerProxy": null,
  "payer": null,
  "paymentInformation": null,
  "createdAt": "2026-09-09T04:00:27.967830Z",
  "updatedAt": "2026-09-09T04:01:03.800309Z",
  "expiredAt": null
}